Update Chatbot Appearance
curl --request PATCH \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "My Bot",
"welcomeMessage": "Hello! How can I assist you today?",
"placeholderText": "Ask me anything...",
"brandColor": "#2563eb",
"brandTextColor": "#FFFFFF",
"fontSize": 14,
"height": 85,
"learnMore": "Learn more",
"ctaText": "",
"ctaLink": "",
"watermarkText": "Powered by SiteGPT",
"watermarkLink": "https://sitegpt.ai",
"hideWatermark": false,
"hideSources": false,
"hideTooltip": false,
"hideFeedbackButtons": false,
"rtl": false,
"distanceFromBottom": 16,
"horizontalDistance": 16,
"iconSize": "SMALL",
"iconPosition": "RIGHT"
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance"
payload = {
"title": "My Bot",
"welcomeMessage": "Hello! How can I assist you today?",
"placeholderText": "Ask me anything...",
"brandColor": "#2563eb",
"brandTextColor": "#FFFFFF",
"fontSize": 14,
"height": 85,
"learnMore": "Learn more",
"ctaText": "",
"ctaLink": "",
"watermarkText": "Powered by SiteGPT",
"watermarkLink": "https://sitegpt.ai",
"hideWatermark": False,
"hideSources": False,
"hideTooltip": False,
"hideFeedbackButtons": False,
"rtl": False,
"distanceFromBottom": 16,
"horizontalDistance": 16,
"iconSize": "SMALL",
"iconPosition": "RIGHT"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'My Bot',
welcomeMessage: 'Hello! How can I assist you today?',
placeholderText: 'Ask me anything...',
brandColor: '#2563eb',
brandTextColor: '#FFFFFF',
fontSize: 14,
height: 85,
learnMore: 'Learn more',
ctaText: '',
ctaLink: '',
watermarkText: 'Powered by SiteGPT',
watermarkLink: 'https://sitegpt.ai',
hideWatermark: false,
hideSources: false,
hideTooltip: false,
hideFeedbackButtons: false,
rtl: false,
distanceFromBottom: 16,
horizontalDistance: 16,
iconSize: 'SMALL',
iconPosition: 'RIGHT'
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'My Bot',
'welcomeMessage' => 'Hello! How can I assist you today?',
'placeholderText' => 'Ask me anything...',
'brandColor' => '#2563eb',
'brandTextColor' => '#FFFFFF',
'fontSize' => 14,
'height' => 85,
'learnMore' => 'Learn more',
'ctaText' => '',
'ctaLink' => '',
'watermarkText' => 'Powered by SiteGPT',
'watermarkLink' => 'https://sitegpt.ai',
'hideWatermark' => false,
'hideSources' => false,
'hideTooltip' => false,
'hideFeedbackButtons' => false,
'rtl' => false,
'distanceFromBottom' => 16,
'horizontalDistance' => 16,
'iconSize' => 'SMALL',
'iconPosition' => 'RIGHT'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance"
payload := strings.NewReader("{\n \"title\": \"My Bot\",\n \"welcomeMessage\": \"Hello! How can I assist you today?\",\n \"placeholderText\": \"Ask me anything...\",\n \"brandColor\": \"#2563eb\",\n \"brandTextColor\": \"#FFFFFF\",\n \"fontSize\": 14,\n \"height\": 85,\n \"learnMore\": \"Learn more\",\n \"ctaText\": \"\",\n \"ctaLink\": \"\",\n \"watermarkText\": \"Powered by SiteGPT\",\n \"watermarkLink\": \"https://sitegpt.ai\",\n \"hideWatermark\": false,\n \"hideSources\": false,\n \"hideTooltip\": false,\n \"hideFeedbackButtons\": false,\n \"rtl\": false,\n \"distanceFromBottom\": 16,\n \"horizontalDistance\": 16,\n \"iconSize\": \"SMALL\",\n \"iconPosition\": \"RIGHT\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"My Bot\",\n \"welcomeMessage\": \"Hello! How can I assist you today?\",\n \"placeholderText\": \"Ask me anything...\",\n \"brandColor\": \"#2563eb\",\n \"brandTextColor\": \"#FFFFFF\",\n \"fontSize\": 14,\n \"height\": 85,\n \"learnMore\": \"Learn more\",\n \"ctaText\": \"\",\n \"ctaLink\": \"\",\n \"watermarkText\": \"Powered by SiteGPT\",\n \"watermarkLink\": \"https://sitegpt.ai\",\n \"hideWatermark\": false,\n \"hideSources\": false,\n \"hideTooltip\": false,\n \"hideFeedbackButtons\": false,\n \"rtl\": false,\n \"distanceFromBottom\": 16,\n \"horizontalDistance\": 16,\n \"iconSize\": \"SMALL\",\n \"iconPosition\": \"RIGHT\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"My Bot\",\n \"welcomeMessage\": \"Hello! How can I assist you today?\",\n \"placeholderText\": \"Ask me anything...\",\n \"brandColor\": \"#2563eb\",\n \"brandTextColor\": \"#FFFFFF\",\n \"fontSize\": 14,\n \"height\": 85,\n \"learnMore\": \"Learn more\",\n \"ctaText\": \"\",\n \"ctaLink\": \"\",\n \"watermarkText\": \"Powered by SiteGPT\",\n \"watermarkLink\": \"https://sitegpt.ai\",\n \"hideWatermark\": false,\n \"hideSources\": false,\n \"hideTooltip\": false,\n \"hideFeedbackButtons\": false,\n \"rtl\": false,\n \"distanceFromBottom\": 16,\n \"horizontalDistance\": 16,\n \"iconSize\": \"SMALL\",\n \"iconPosition\": \"RIGHT\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Updated the chatbot appearance successfully",
"data": {}
}Appearance
Update Chatbot Appearance
Update appearance of the chatbot
PATCH
/
v0
/
chatbots
/
{chatbotId}
/
appearance
Update Chatbot Appearance
curl --request PATCH \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "My Bot",
"welcomeMessage": "Hello! How can I assist you today?",
"placeholderText": "Ask me anything...",
"brandColor": "#2563eb",
"brandTextColor": "#FFFFFF",
"fontSize": 14,
"height": 85,
"learnMore": "Learn more",
"ctaText": "",
"ctaLink": "",
"watermarkText": "Powered by SiteGPT",
"watermarkLink": "https://sitegpt.ai",
"hideWatermark": false,
"hideSources": false,
"hideTooltip": false,
"hideFeedbackButtons": false,
"rtl": false,
"distanceFromBottom": 16,
"horizontalDistance": 16,
"iconSize": "SMALL",
"iconPosition": "RIGHT"
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance"
payload = {
"title": "My Bot",
"welcomeMessage": "Hello! How can I assist you today?",
"placeholderText": "Ask me anything...",
"brandColor": "#2563eb",
"brandTextColor": "#FFFFFF",
"fontSize": 14,
"height": 85,
"learnMore": "Learn more",
"ctaText": "",
"ctaLink": "",
"watermarkText": "Powered by SiteGPT",
"watermarkLink": "https://sitegpt.ai",
"hideWatermark": False,
"hideSources": False,
"hideTooltip": False,
"hideFeedbackButtons": False,
"rtl": False,
"distanceFromBottom": 16,
"horizontalDistance": 16,
"iconSize": "SMALL",
"iconPosition": "RIGHT"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'My Bot',
welcomeMessage: 'Hello! How can I assist you today?',
placeholderText: 'Ask me anything...',
brandColor: '#2563eb',
brandTextColor: '#FFFFFF',
fontSize: 14,
height: 85,
learnMore: 'Learn more',
ctaText: '',
ctaLink: '',
watermarkText: 'Powered by SiteGPT',
watermarkLink: 'https://sitegpt.ai',
hideWatermark: false,
hideSources: false,
hideTooltip: false,
hideFeedbackButtons: false,
rtl: false,
distanceFromBottom: 16,
horizontalDistance: 16,
iconSize: 'SMALL',
iconPosition: 'RIGHT'
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'My Bot',
'welcomeMessage' => 'Hello! How can I assist you today?',
'placeholderText' => 'Ask me anything...',
'brandColor' => '#2563eb',
'brandTextColor' => '#FFFFFF',
'fontSize' => 14,
'height' => 85,
'learnMore' => 'Learn more',
'ctaText' => '',
'ctaLink' => '',
'watermarkText' => 'Powered by SiteGPT',
'watermarkLink' => 'https://sitegpt.ai',
'hideWatermark' => false,
'hideSources' => false,
'hideTooltip' => false,
'hideFeedbackButtons' => false,
'rtl' => false,
'distanceFromBottom' => 16,
'horizontalDistance' => 16,
'iconSize' => 'SMALL',
'iconPosition' => 'RIGHT'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance"
payload := strings.NewReader("{\n \"title\": \"My Bot\",\n \"welcomeMessage\": \"Hello! How can I assist you today?\",\n \"placeholderText\": \"Ask me anything...\",\n \"brandColor\": \"#2563eb\",\n \"brandTextColor\": \"#FFFFFF\",\n \"fontSize\": 14,\n \"height\": 85,\n \"learnMore\": \"Learn more\",\n \"ctaText\": \"\",\n \"ctaLink\": \"\",\n \"watermarkText\": \"Powered by SiteGPT\",\n \"watermarkLink\": \"https://sitegpt.ai\",\n \"hideWatermark\": false,\n \"hideSources\": false,\n \"hideTooltip\": false,\n \"hideFeedbackButtons\": false,\n \"rtl\": false,\n \"distanceFromBottom\": 16,\n \"horizontalDistance\": 16,\n \"iconSize\": \"SMALL\",\n \"iconPosition\": \"RIGHT\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"My Bot\",\n \"welcomeMessage\": \"Hello! How can I assist you today?\",\n \"placeholderText\": \"Ask me anything...\",\n \"brandColor\": \"#2563eb\",\n \"brandTextColor\": \"#FFFFFF\",\n \"fontSize\": 14,\n \"height\": 85,\n \"learnMore\": \"Learn more\",\n \"ctaText\": \"\",\n \"ctaLink\": \"\",\n \"watermarkText\": \"Powered by SiteGPT\",\n \"watermarkLink\": \"https://sitegpt.ai\",\n \"hideWatermark\": false,\n \"hideSources\": false,\n \"hideTooltip\": false,\n \"hideFeedbackButtons\": false,\n \"rtl\": false,\n \"distanceFromBottom\": 16,\n \"horizontalDistance\": 16,\n \"iconSize\": \"SMALL\",\n \"iconPosition\": \"RIGHT\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/appearance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"My Bot\",\n \"welcomeMessage\": \"Hello! How can I assist you today?\",\n \"placeholderText\": \"Ask me anything...\",\n \"brandColor\": \"#2563eb\",\n \"brandTextColor\": \"#FFFFFF\",\n \"fontSize\": 14,\n \"height\": 85,\n \"learnMore\": \"Learn more\",\n \"ctaText\": \"\",\n \"ctaLink\": \"\",\n \"watermarkText\": \"Powered by SiteGPT\",\n \"watermarkLink\": \"https://sitegpt.ai\",\n \"hideWatermark\": false,\n \"hideSources\": false,\n \"hideTooltip\": false,\n \"hideFeedbackButtons\": false,\n \"rtl\": false,\n \"distanceFromBottom\": 16,\n \"horizontalDistance\": 16,\n \"iconSize\": \"SMALL\",\n \"iconPosition\": \"RIGHT\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Updated the chatbot appearance successfully",
"data": {}
}Authorizations
Body
application/json
Request body to update appearance of the chatbot
Request Body
Was this page helpful?